id: d6_filter_format
label: Filter format configuration
migration_tags:
  - Drupal 6
  - Configuration
source:
  plugin: d6_filter_format
process:
  format:
    plugin: machine_name
    source: name
  name: name
  cache: cache
  filters:
    plugin: sub_process
    source: filters
    key: '@id'
    process:
      id:
        # If the filter ID cannot be mapped, it will be passed through
        # unchanged because the bypass flag is set. The filter_id plugin
        # will flatten the input value and default it to filter_null (the
        # fallback filter plugin ID) if the flattened input value is not
        # a valid plugin ID.
        plugin: filter_id
        source:
          - module
          - delta
        bypass: true
        map:
          filter:
            - filter_html
            - filter_autop
            - filter_url
            - filter_htmlcorrector
            - filter_html_escape
      settings:
        plugin: filter_settings
        source: settings
      status:
        plugin: default_value
        default_value: true
destination:
  plugin: entity:filter_format
  no_stub: true
